/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.util.resource.Labels;
import org.zkoss.zul.Checkbox;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.AlertaCtrl;
import com.rjconsultores.ventaboletos.entidad.ClaseServicio;
import com.rjconsultores.ventaboletos.entidad.Corrida;
import com.rjconsultores.ventaboletos.entidad.Parada;
import com.rjconsultores.ventaboletos.entidad.Ruta;

/**
 *
 * @author Administrador
 */
public class RenderAlertaCtrl implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        AlertaCtrl alertaCtrl = (AlertaCtrl) o;

        Listcell lc = new Listcell();

        lc = new Listcell(alertaCtrl.getAlertactrlId().toString());
        lc.setParent(lstm);

        if (alertaCtrl.getPorcalta() == null) {
            lc = new Listcell(Labels.getLabel("busquedaAlertaCtrlController.tipoBaja.label"));
        } else if (alertaCtrl.getPorcbaja() == null) {
            lc = new Listcell(Labels.getLabel("busquedaAlertaCtrlController.tipoAlta.label"));
        }
        lc.setParent(lstm);

        Ruta ruta = alertaCtrl.getRuta();
        if (ruta != null) {
            lc = new Listcell(alertaCtrl.getRuta().getDescruta());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        ClaseServicio claseServicio = alertaCtrl.getClaseServicio();
        if (claseServicio != null) {
            lc = new Listcell(alertaCtrl.getClaseServicio().getDescclase());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        Parada origem = alertaCtrl.getOrigem();
        if (origem != null) {
            lc = new Listcell(alertaCtrl.getOrigem().getDescparada());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        Parada destino = alertaCtrl.getDestino();
        if (destino != null) {
            lc = new Listcell(alertaCtrl.getDestino().getDescparada());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        Corrida corrida = alertaCtrl.getCorrida();
        if (corrida != null) {
            lc = new Listcell(alertaCtrl.getCorrida().getId().getCorridaId().toString());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        if (corrida == null) {
            lc = new Listcell("");
            lc.setParent(lstm);
            lc = new Listcell("");
            lc.setParent(lstm);
            lc = new Listcell("");
            lc.setParent(lstm);
            lc = new Listcell("");
            lc.setParent(lstm);
            lc = new Listcell("");
            lc.setParent(lstm);
            lc = new Listcell("");
            lc.setParent(lstm);
            lc = new Listcell("");
            lc.setParent(lstm);
        } else {
            //Lunes
            Checkbox ckbLun = new Checkbox();
            ckbLun.setChecked(alertaCtrl.getIndlunes());
            ckbLun.setDisabled(true);
            lc = new Listcell();
            ckbLun.setParent(lc);
            lc.setParent(lstm);


            Checkbox ckbMar = new Checkbox();
            ckbMar.setChecked(alertaCtrl.getIndmartes());
            ckbMar.setDisabled(true);
            lc = new Listcell();
            ckbMar.setParent(lc);
            lc.setParent(lstm);


            Checkbox ckbMie = new Checkbox();
            ckbMie.setChecked(alertaCtrl.getIndmiercoles());
            ckbMie.setDisabled(true);
            lc = new Listcell();
            ckbMie.setParent(lc);
            lc.setParent(lstm);

            Checkbox ckbJue = new Checkbox();
            ckbJue.setChecked(alertaCtrl.getIndjueves());
            ckbJue.setDisabled(true);
            lc = new Listcell();
            ckbJue.setParent(lc);
            lc.setParent(lstm);

            Checkbox ckbVie = new Checkbox();
            ckbVie.setChecked(alertaCtrl.getIndviernes());
            ckbVie.setDisabled(true);
            lc = new Listcell();
            ckbVie.setParent(lc);
            lc.setParent(lstm);

            Checkbox ckbSab = new Checkbox();
            ckbSab.setChecked(alertaCtrl.getIndsabado());
            ckbSab.setDisabled(true);
            lc = new Listcell();
            ckbSab.setParent(lc);
            lc.setParent(lstm);

            Checkbox ckbDom = new Checkbox();
            ckbDom.setChecked(alertaCtrl.getInddomingo());
            ckbDom.setDisabled(true);
            lc = new Listcell();
            ckbDom.setParent(lc);
            lc.setParent(lstm);
        }
        lstm.setAttribute("data", alertaCtrl);
    }
}
